Last modified: 2014-06-12 21:54:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35479 - Output TeX code in script elements for MathJax
Output TeX code in script elements for MathJax
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Math (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: physikerwelt
:
Depends on: 12223
Blocks: 54026
  Show dependency treegraph
 
Reported: 2012-03-26 09:22 UTC by Michael M.
Modified: 2014-06-12 21:54 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Michael M. 2012-03-26 09:22:45 UTC
The extension could output TeX code inside a script tag with type math/tex. This would save one transformation on client side. This would mean that the decision block mode vs. inline mode had to be done on server side. (See bug 35188)
Comment 1 Brion Vibber 2012-03-26 17:30:37 UTC
This one's trickier, since we don't really have context inside the extension run. :(
Comment 2 physikerwelt 2014-02-08 12:18:31 UTC
See http://math-test2.instance-proxy.wmflabs.org/wiki/Displaystyle for the proposed solution.
Comment 3 nageh 2014-04-06 11:43:26 UTC
Rather than specifying "inline" for each inline math element I would suggest adopting the wiki2jax.js heuristics such that users need to add a qualifier only for overriding the default behavior. IMHO.
Comment 4 Frédéric Wang 2014-04-06 13:33:37 UTC
@physikerwel: do we still want to output script elements (in addition to SVG+MathML+PNG)? Or let wiki2jax process the correct TeX source from the new SVG+MathML+PNG output?

@nageh: The plan is to move to server-side conversion, so heuristics that depend on the surrounding context do not really work. Also, it seems more reliable to let the user explicitly specify what kind of output he wants rather than trying to guess his intention.
Comment 5 physikerwelt 2014-04-06 17:56:25 UTC
I would prefer not to put additional script elements in the output.
I think it would be great to use nageh's heuristics to write a not that sets
the mathstyle.
Comment 6 Frédéric Wang 2014-04-06 18:02:03 UTC
(In reply to physikerwelt from comment #5)
> I would prefer not to put additional script elements in the output.

OK, I was just asking because of theDJ's comment on another bug.

> I think it would be great to use nageh's heuristics to write a not that sets
> the mathstyle.

I don't think heuristics will be necessary anymore once you have the mathstyle mode. Your commit 119010 is already checking the CSS class for that.
Comment 7 Frédéric Wang 2014-04-06 18:03:19 UTC
(In reply to Frédéric Wang from comment #6)
> > I think it would be great to use nageh's heuristics to write a not that sets
> > the mathstyle.
> 
> I don't think heuristics will be necessary anymore once you have the
> mathstyle mode. Your commit 119010 is already checking the CSS class for
> that.

Ah, sorry you meant a "bot" to automatically add the attribute?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links